Privage Open API
    Privage Open API
    Open API
    • Open API
    • Welcome to Privage Open API Documents
    • Get Access Token
      POST
    • Add Point
      POST
    • Get Profile
      GET
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
    • Get Campaign
      GET
    • Get Transaction
      GET

      Get Profile

      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      GET
      /api/v1/connect/profiles
      ตรวจสอบข้อมูลสมาชิก

      Request

      Authorization
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      Query Params

      Responses

      🟢200สำเร็จ
      application/json
      Body

      🟠401Unauthorized
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET 'https://core.privageapp.com/api/v1/connect/profiles?page=1&size=10&search=0800000000' \
      --header 'Authorization: Bearer <token>'
      Response Response Example
      200 - Example 1
      {
          "pagination": {
              "total": 0,
              "page": 0,
              "size": 0
          },
          "data": [
              {
                  "uuid": "string",
                  "name": "string",
                  "lastName": "string",
                  "phoneCode": "string",
                  "phoneNumber": "string",
                  "verified": true,
                  "otpVerified": true,
                  "lineVerified": true,
                  "active": true,
                  "profilePicture": "string",
                  "cards": [
                      {
                          "uuid": "string",
                          "card_no": "string",
                          "card_nickname": null,
                          "card_type": "string",
                          "point": 0
                      }
                  ]
              }
          ]
      }
      Modified at 2026-02-25 03:11:31
      Previous
      Add Point
      Next
      Burn Point
      Built with